package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.Artifact;
import de.intevation.flys.client.shared.model.Data;

/**
 * This interface provides artifact specific operation FEED.
 */
@RemoteServiceRelativePath("feed")
public interface FeedService extends RemoteService {

    /**
     * Inserts new data into an existing artifact.
     *
     * @param serverUrl The url of the artifact server.
     * @param locale The locale used for the request.
     * @param artifact The artifact.
     * @param data The data that should be inserted.
     *
     * @return the artifact which description might have been changed.
     */
    public Artifact feed(
        String   locale,
        Artifact artifact,
        Data[]   data)
    throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
